> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sturdytechnologies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Virtual Card

> Add a new virtual card to a customer account



## OpenAPI

````yaml POST /cards
openapi: 3.1.0
info:
  title: Sturdy Technologies API
  description: API documentation for Sturdy Technologies Service
  contact: {}
  version: '1.0'
servers:
  - url: https://sandbox.sturdytechnologies.com/v3
    description: Sandbox server
security: []
paths:
  /cards:
    post:
      tags:
        - Cards
      summary: Create Virtual Card
      description: Add a new virtual card to a customer account
      operationId: createVirtualCard
      requestBody:
        description: Create Virtual Card payload
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCardReq'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateCardResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResp'
      security:
        - BearerAuth: []
components:
  schemas:
    CreateCardReq:
      type: object
      required:
        - address
        - card_balance
        - card_brand
        - card_type
        - currency
        - user_id
      properties:
        address:
          type: object
          properties:
            city:
              type: string
              example: City
            country:
              type: string
              example: Country
            street:
              type: string
              example: 123 Main St
        card_balance:
          type: number
          example: 10
          description: Initial balance to load onto the card
        card_brand:
          type: string
          enum:
            - Visa
            - Mastercard
          description: Brand of the card
        card_type:
          type: string
          enum:
            - Lite
            - Multiuse-Lite
            - Virtual
            - Physical
          description: Type of card to create
        currency:
          type: string
          enum:
            - USD
            - NGN
            - EUR
            - GBP
          description: >-
            Currency of the card (Only USD is supported for virtual cards for
            now)
        user_id:
          type: string
          description: Identifier of the user to whom the card will be issued
          example: '12345'
    CreateCardResp:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/CardData'
        message:
          type: string
        success:
          type: boolean
    ErrorResp:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        success:
          type: boolean
          example: false
    CardData:
      type: object
      properties:
        card_balance:
          type: integer
          example: 1000
        card_brand:
          type: string
          enum:
            - Visa
            - Mastercard
          description: Brand of the card
        card_id:
          type: string
          example: card_12345
        card_name:
          type: string
          example: John D. Card
        card_status:
          type: string
          enum:
            - Active
            - Inactive
            - Blocked
            - Deleted
        card_type:
          type: string
          enum:
            - Lite
            - Multiuse-Lite
            - Virtual
            - Physical
          description: Type of card
        currency:
          type: string
          example: USD
        cvv:
          type: string
          example: '123'
        expiration:
          type: string
          example: 12/25
        first_six:
          type: string
          example: '123456'
        last_four:
          type: string
          example: '7890'

````